@echo off


setlocal enableextensions
if exist Pn\Config.cmd pushd . & goto cfg
if exist ..\Pn\Config.cmd pushd .. & goto cfg
goto :eof

:cfg
call Pn\Config.cmd
prompt -$g

pushd %apadir%
bin\httpd.exe -k restart -n %htd_svc% || (pushd .. & %pause% & popd)
popd

prompt
popd
